Status Dashboard
Detailed reference for dashboard, monitor overview, credit score, financial account, and Neighborhood Watch status endpoints.
Endpoint Reference
GET /idp/array/users/me/dashboard
GET /idp/array/users/me/dashboard{
"userAlerts": {
"Ok": {
"userAlerts": [
{
"alertId": 123456,
"class": "CREDIT_MONITORING",
"createDate": "2025-10-01T12:34:56Z",
"updatedDate": "2025-10-02T09:00:00Z"
}
]
}
},
"creditScoreHistory": {
"Ok": {
"creditScoreHistory": [
{
"score": "720",
"productCode": "EXP",
"scoreDate": "2025-10-01"
}
]
}
},
"dataRemovalProgress": {
"Err": "provider unavailable"
},
"monitorsOverview": {
"Ok": {
"countsByCategory": {
"emailAddress": 1,
"phoneNumber": 0
},
"monitoredCount": 1,
"availableCount": 5,
"availableInHigherPlans": 7,
"availableCategoriesInHigherPlans": ["firstName", "lastName"]
}
},
"neighborhoodWatchStatus": {
"Ok": {
"hasWatches": true,
"watchAlertCount": 2
}
},
"financialAccountsStatus": {
"Ok": {
"hasAccounts": true,
"institutionCount": 2,
"accountCount": 3,
"anyNeedsRenewal": false,
"needsRenewalCount": 0
}
}
}GET /idp/array/users/me/monitors/overview
GET /idp/array/users/me/monitors/overviewGET /idp/array/users/me/credit-scores
GET /idp/array/users/me/credit-scoresGET /idp/array/users/me/financial-accounts/status
GET /idp/array/users/me/financial-accounts/statusGET /idp/array/users/me/nhw/status
GET /idp/array/users/me/nhw/statusLast updated